<?php
session_start();
require ('connect/mysqli_connect.php'); // Connect to the db.
ob_start();
if( (isset($_GET['id'])) && (is_numeric($_GET['id'])) && ($_SESSION['Autorisation'] == 1))
{
	// si id donné par prof
	$Id     = $_GET['id'];
}
elseif($_SESSION['Autorisation'] == 0)   //Si Etudiant
{
	$Id     = $_GET['id'];
}
else
{
//	$Id =207; //TEST///////////////////////////
	header("Location: erreur_page.php");
	exit();
}



///////////////////////////////////
$q1 =	"SELECT * 
		FROM situationpro 
		WHERE NumSP='$Id';";
		
$q2=	"SELECT NomAct, PrenomAct,NumInscAct
 		FROM situationpro, acteur 
 		WHERE situationpro.NumEt= acteur.NumAct 
 		AND NumSP='$Id';";

$q3=	"SELECT activite.Numact,LibelleAct
		FROM correspondre, activite
		WHERE correspondre.numactivite=activite.Numact
		AND NumSP='$Id';";

$result = @mysqli_query ($dbcon, $q1)or die('erreur MYSQL  : '.mysqli_error($dbcon));
$champSP = mysqli_fetch_array ($result, MYSQLI_BOTH);

$result = @mysqli_query ($dbcon, $q2)or die('erreur MYSQL  : '.mysqli_error($dbcon));
$identite = mysqli_fetch_array ($result, MYSQLI_BOTH);

$result = @mysqli_query ($dbcon, $q3) or die('erreur MYSQL  : '.mysqli_error($dbcon));
$CompteLigneAct = mysqli_num_rows($result);



///////////////////////////////




//mysqli_free_result ($result1); // Free up the resources.
mysqli_close($dbcon); // Close the database connection.

ob_start();
?>
<style type="text/css">

	table	{
		background-color: #ffffff;
		border-collapse: collapse;
		border-color: #ff0000;
		color: #000000;
		font-family: arial;
		width:190mm;
	}

	td	{
		padding: 5px;
		margin:5px;
		border: 1px solid #10071f;
		font-weight: normal;
		width:100%;
	}

	h1{
		margin:1;
		text-align: center;
		padding:0;
		font-size: 12pt;
	}
	
	h2{
		margin:1;
		text-align: center;
		padding:0;
		font-size: 11pt;
	}
	
	p{
		margin:0px;
		margin-bottom:10px;
		padding:0px;
		font-size: 10pt;
	}
	
	p.interligne{
		line-height: 3px;
		font-size:10pt;
	}
	.textegrascentre
	{
		font-weight : bold;
		text-align: center ;
	}

	
	</style>


<?php

	echo '<page backtop="10mm" backleft="10mm" backright="10mm" backbottom="10mm" format="A4" orientation="P">';
	//AFFICHAGE			
	echo '
		<table>
			<tr>
				<td>
					<h1>BTS comptabilité et gestion<br/>
						Session 2017</h1>
						<h2>Sous épreuve E42 : FICHE DE SITUATION PROFESSIONNELLE</h2>
				</td>
			</tr>
		</table>	
		
		<br/>
		
		<table>
			<tr>
				<td style="width:15%">
					<b>CANDIDAT (E)</b>
				</td>
				<td style="width:85%">
					<b>Nom et prénom :</b> <i>'.$identite['NomAct'].' '.$identite['PrenomAct'].'</i><br/>
					<b>Matricule : </b><i>'.$identite['NumInscAct'].'</i>
				</td>
			</tr>
		</table>
		<br/>
		<table>
			<tr>
				<td style="border-bottom :0px;">
					<h2>DESCRIPTION DE LA SITUATION PROFESSIONNELLE</h2>
					 <p style="margin-bottom:1px;font-size:9pt;font-style: italic;text-align: center ;">( Notamment  à partir des situations professionnelles inscrites dans le  passeport professionnel du candidat)</p>
				</td>
			</tr>
		</table>	
		
		<table>
		<tr>
					<td>
					<p>Identification de la situation professionnelle dans le passeport : <I>'.$champSP['IdentificationSP'].'</I></p>
					<p>Période de réalisation : <I>'.$champSP['PeriodeSP'].'</I></p>
					<p>Modalité de réalisation : <I>'.$champSP['ModaliteSP'].'</I></p>

				</td>
				
			</tr>
			
			<tr>
				<td>
					<p>Intitulé de la situation professionnelle :</p>
					<p><I>'.$champSP['IntituleSP'].'</I></p>
				</td>
			</tr>	
			
			<tr>
				<td>
					<p>Problème de gestion :</p>
					<p><I>'.$champSP['ProblematiqueSP'].'</I></p>
				</td>
			</tr>	
			
			<tr>
				<td>
					<p>Conditions de réalisation : (ressources, organisation du travail, contraintes, démarche…) :</p>
			';
			if(strlen ($champSP['ConditionRealSP'])>100)  //si texte trop long changement de taille
			{
				echo'<p style="margin-bottom:1px;font-size:9pt;">';
			}
			else
			{
				echo'<p>';
			}
			echo'<I>'.$champSP['ConditionRealSP'].'</I></p>
				</td>
			</tr>	
			
			<tr>
				<td>
					<p>Productions réalisées :</p>
					<p><I>'.$champSP['ProductionSP'].'</I></p>
				</td>
			</tr>
		</table>
		<br>';
		
			/// RECHERCHE DES ACTIVITES DU PROCESSUS 7////
			$A71="";
			$A72="";
			$A73="";
			for ($i = 0; $i <= $CompteLigneAct; $i++)
			{
				$lignep[$i] = mysqli_fetch_array($result, MYSQLI_BOTH);
				if ($lignep[$i][0]==71)
				{
					$A71="X";
				}
				if ($lignep[$i][0]==72)
				{
					$A72="X";
				}
				if ($lignep[$i][0]==73)
				{
					$A73="X";
				}	
			}	
			echo '
			<table>
				<tr>
					<td style="width:80%">
						<p><h1>Activités réalisées dans la situation professionnelle :</h1></p>
					</td>
					<td style="width:20%" class="textegrascentre">
						<p><h1>Cocher</h1></p>
					</td>
				</tr>
				<tr>
					<td style="width:80%">
						<p>7.1. Rechercher des informations</p>
					</td>
					<td style="width:20%" class="textegrascentre">
						<p>'.$A71.'</p>
					</td>
				</tr>
				<tr>
					<td style="width:80%">
						<p>7.2. Gérer les informations de l’organisation</p>
					</td>
					<td style="width:20%" class="textegrascentre">
						<p>'.$A72.'</p>
					</td>
				</tr>		
				<tr>
					<td style="width:80%">
						<p>7.3. Contribuer à la qualité du système d’information</p>
					</td>
					<td style="width:20%" class="textegrascentre">
						<p>'.$A73.'</p>
					</td>
				</tr>
				
				<tr>
					<td valign="top" colspan="2">
						<p><b>Indiquer les références des activités concernées pour les processus P1 à P4 :</b></p>
			';

			for($i=0;$i<=$CompteLigneAct;$i++)
			{
				if ($lignep[$i][0]<50)
				{				
					echo '<p style="margin-bottom:1px;font-size:9pt;"><I> '.$lignep[$i][1].'</I></p>';
				}
			}	
			echo '</td> </tr>
			</table>
			</page>
			
			<page pageset="old"> ';
			echo'<table style="width:188mm">
					<tr>
						<td style="border-bottom :0px;">
							<h1>ANALYSE</h1>
						</td>
					</tr>
			</table>

				
			<table style="width:718px">
				<tr>
						<td valign="bottom" style="width:30px; height:370px;">
							<div style="rotate: 90">
								<h2>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Analyse&nbsp;de&nbsp;la&nbsp;situation</h2>
							</div>
						</td>	
						<td style="width:633px;">
						<p><I><br><br>'.$champSP['AnalyseSP'].'</I></p>
						</td>	
					</tr>

					<tr>
					
						<td valign="bottom" style="width:30px; height:370px;">
								<div style="rotate: 90;">
									<p><b>Contribution&nbsp;de&nbsp;la&nbsp;situation&nbsp;professionnelle&nbsp;&agrave;&nbsp;la&nbsp;<br/>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;professionnalisation</b></p>
								</div>
						</td>
						<td style="width:633px;">
								<p><I><br/>'.$champSP['ContribSP'].'</I></p>
						</td>
					</tr>
				</table>
				<br/>	
			';
	

	
	echo'</page>';
	$content = ob_get_clean();
	require_once "scripts/html2pdf/html2pdf.php";
	try
	{
		$pdf = new HTML2PDF("p","A4","fr");
		$pdf->pdf->SetAuthor('L NOGUES');
		$pdf->pdf->SetTitle('PAssPRo'.$identite['NomAct']);
		$pdf->pdf->SetSubject('Passeport Professionnel');
		$pdf->pdf->SetKeywords('HTML2PDF, Passeport, PHP');
		
		$pdf->writeHTML($content);
				$pdf->Output($identite['NomAct'].'-E42-'.$champSP['IdentificationSP'].'.pdf');
		// $pdf->Output('Devis.pdf', 'D');
	} catch(HTML2PDF_exception $e)
	{
		die($e);
	}
